Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.io
Class ScpDownloader

    java.lang.Object
      net.sf.j3d.io.ScpDownloader

All Implemented Interfaces:
  net.sf.j3d.ext.com.jcraft.jsch.UserInfo

    public class ScpDownloader

extends Object
implements net.sf.j3d.ext.com.jcraft.jsch.UserInfo

Constructor Summary
`ScpDownloader(String host, String user, String passwd)`

Method Summary
`void` | `dispose()`
`String` | `download(String file)`
`void` | `download(String file, OutputStream fout)`
`void` | `finalize()`
`static ScpDownloader` | `getDownloader(String host, String user, String passwd)`
`String` | `getPassphrase()`
`String` | `getPassword()`
`void` | `init()`
`boolean` | `promptPassphrase(String message)`
`boolean` | `promptPassword(String message)`
`boolean` | `promptYesNo(String message)`
`void` | `setDownloadDir(String dir)`
`void` | `setRetry(int retry)`
`void` | `showMessage(String message)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScpDownloader

    public ScpDownloader(String host,
                         String user,
                         String passwd)
                  throws IOException

Throws:
  `IOException`

Method Detail

### setDownloadDir

    public void setDownloadDir(String dir)

### setRetry

    public void setRetry(int retry)

### init

    public void init()
              throws IOException

  Throws:
    `IOException`

### dispose

    public void dispose()

### download

    public void download(String file,
                         OutputStream fout)
                  throws IOException

  Throws:
    `IOException`

### download

    public String download(String file)
                    throws IOException

  Throws:
    `IOException`

### getDownloader

    public static ScpDownloader getDownloader(String host,
                                              String user,
                                              String passwd)
                                       throws IOException

  Throws:
    `IOException`

### getPassphrase

    public String getPassphrase()

  Specified by:
    `getPassphrase` in interface `net.sf.j3d.ext.com.jcraft.jsch.UserInfo`

### getPassword

    public String getPassword()

  Specified by:
    `getPassword` in interface `net.sf.j3d.ext.com.jcraft.jsch.UserInfo`

### promptPassword

    public boolean promptPassword(String message)

  Specified by:
    `promptPassword` in interface `net.sf.j3d.ext.com.jcraft.jsch.UserInfo`

### promptPassphrase

    public boolean promptPassphrase(String message)

  Specified by:
    `promptPassphrase` in interface `net.sf.j3d.ext.com.jcraft.jsch.UserInfo`

### promptYesNo

    public boolean promptYesNo(String message)

  Specified by:
    `promptYesNo` in interface `net.sf.j3d.ext.com.jcraft.jsch.UserInfo`

### showMessage

    public void showMessage(String message)

  Specified by:
    `showMessage` in interface `net.sf.j3d.ext.com.jcraft.jsch.UserInfo`

### finalize

    public void finalize()

  Overrides:
    `finalize` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD